<?php

namespace lib\help;

/**
 * Class Json
 * @package upgrade
 */
class Json
{
    public static function success($msg = '', $data = [], $code = 200)
    {
        if (is_array($msg)) {
            $data = $msg;
            $msg = 'ok';
        }
        echo json_encode(compact('msg', 'data', 'code'));
        exit;
    }

    public static function fail($msg = '', $data = [], $code = 400)
    {
        if (is_array($msg)) {
            $data = $msg;
            $msg = 'error';
        }
        echo json_encode(compact('msg', 'data', 'code'));
        exit;
    }
}