<?php

define('CRMEB_DIR', dirname(dirname(__DIR__)));
define('RUN_DIR', CRMEB_DIR . '/public/upgrade');
define('DEBUG', 1);

include './lib/App.php';

use lib\App;
$phpv = @ phpversion();
$set_version = '';
$vision_arr = ['7.1', '7.2', '7.3'];
foreach ($vision_arr as $v)
{
    if(strpos($phpv,$v) !== false){
        $set_version = $v;
        break;
    }
}
if($set_version){
    $copy_path_root = '../../help/'.$set_version.'/';
    $to_path = '../../';
    if(!is_writable($copy_path_root)){
        echo './help/'.$set_version.'目录，没有读写权限';
        exit;
    }
    if(!is_writeable($to_path)){
        echo './config/目录，没有读写权限';
        exit;
    }
    @copy($copy_path_root.'crmeb/basic/BaseController.php',$to_path.'crmeb/basic/BaseController.php');
    @copy($copy_path_root.'crmeb/basic/BaseAuth.php',$to_path.'crmeb/basic/BaseAuth.php');
    @copy($copy_path_root.'config/auth.php',$to_path.'config/auth.php');
}

(new App())->run()->http();