<?php

namespace lib\trail;

/**
 * Trait Instance
 * @package lib\trail
 */
trait Instance
{
    protected static $instance;

    public static function instance()
    {
        if (is_null(self::$instance)) {
            self::$instance = new static();
        }
        return self::$instance;
    }
}